SDL_OpenHapticFromJoystick(3)

NAME
SDL_OpenHapticFromJoystick - Open a haptic device for use from a joystick device.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

SDL_Haptic * SDL_OpenHapticFromJoystick(SDL_Joystick *joystick);

DESCRIPTION
You must still close the haptic device separately. It will not be closed with the joystick.

When opened from a joystick you should first close the haptic device before closing the joystick device. If not, on some implementations the haptic device will also get unallocated and you'll be unable to use force feedback on that device.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick to create a haptic device from.

RETURN VALUE
Returns a valid haptic device identifier on success or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CloseHaptic(3), SDL_IsJoystickHaptic(3)